Page MenuHomePhabricator

Understanding first day: account creation from mobile
Closed, ResolvedPublic

Description

Since we are interested in what new editors do immediately after account creation, we want to know what percent of new editors create accounts on mobile devices. This will help us determine how much effort to spend on instrumenting the mobile experience.

This is a research question for @nettrom_WMF. The main things we want to know are:

  • Over time, what percent of accounts have been created via mobile devices vs. desktop? Can this be broken down by desktop/mobile web/iOS/android?
  • It would be good to have this for Czech, Korean, English, German, Arabic, and Ukrainian Wikipedias.
  • This should exclude auto-created accounts.

Event Timeline

Restricted Application added subscribers: Base, revi. · View Herald TranscriptSep 28 2018, 11:01 PM
JTannerWMF moved this task from Inbox to FY 2019-20 on the Growth-Team board.Oct 1 2018, 3:19 PM

I wonder if @chelsyx and @mpopov already have this?

If not, it looks like a combination of the ServerSideAccountCreation schema and the logging table should enable us to calculate this (with the latter used to remove the autocreated accounts).

Hi @nettrom_WMF , sorry we don't have the number. Looks like ServerSideAccountCreation schema and the logging table is the way to go!

We also have MobileWikiAppLogin schema, but it only records users who agree to share their usage report with us, and the table got purged after 90 days.

nettrom_WMF triaged this task as Normal priority.Oct 5 2018, 3:48 PM
nettrom_WMF moved this task from Triage to Doing on the Product-Analytics board.
nettrom_WMF set Due Date to Oct 6 2018, 12:00 AM.
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptOct 5 2018, 3:49 PM

I gathered data, analyzed it, and wrote it up in a work log.

Short summary: about 22–30% of registrations appear to come in through the mobile site, and it appears to be generally stable across the six month dataset I have. Arabic Wikipedia is different, with 57.5%. What type of device differs between wikis, some are 75/25 Android/iOS, while on others it's more 60/40.

Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptOct 9 2018, 4:59 PM
nettrom_WMF moved this task from Doing to Tracking on the Product-Analytics board.Oct 10 2018, 4:11 PM
  • This should exclude auto-created accounts.

Proposing an exception, include accounts with more than X edits/have any non-standard rights (like autopatrolled). There are users who signed up on Commons but are mostly active (and their de-facto home wiki) is cswiki. I guess we don't want to loose those users.

MMiller_WMF closed this task as Resolved.Oct 16 2018, 11:20 PM

@nettrom_WMF -- thank you for doing this analysis. It is illuminating and exactly what we need. Like we talked about last week, I think that since we're seeing about 25% of accounts being created from mobile in Czech and Korean Wikipedias, we should, in general, build and deploy first for desktop, and then follow it with mobile. Our team can build more quickly in desktop, and then we'll start gathering learning even as we work on the mobile version. In terms of the projects we have right now, this is mostly applicable to "Focus on help desk".

I only left one small clarification question on the talk page of your work page. I'm moving this to Done.

@Deskana @ovasileva -- @DannyH pointed out to me that this analysis might be interesting to your teams, in which we looked at how often people create new accounts from the different platforms. The content is here in @nettrom_WMF's work log.